<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddNewFieldsNewsTable extends Migration {

    /**
    * Run the migrations.
    *
    * @return void
    */
    public function up()
    {
        Schema::table('news', function(Blueprint $table)
        {
            $table->string('subtitle')->after('title');
            $table->boolean('featured')->default(0)->after('description');
            $table->boolean('active')->default(1)->after('featured')->default(1);
        });
    }

    /**
    * Reverse the migrations.
    *
    * @return void
    */
    public function down()
    {
        Schema::table('news', function(Blueprint $table)
        {
            $table->dropColumn('subtitle');
            $table->dropColumn('featured');
            $table->dropColumn('active');
        });
    }

}
